Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » NatTable » Update Java compiler settings
Update Java compiler settings [message #1001902] Thu, 17 January 2013 09:33 Go to next message
Dirk Fauth is currently offline Dirk Fauth
Messages: 1255
Registered: July 2012
Senior Member
Hi,

as we are working at the NatTable and trying to refactor some stuff, we realized that we still compile against Java 1.5 compliance level.

We would like to update that to Java 1.6 because of several facts. One is for example, that with 1.5 you can not annotate methods with @Override that are only specified in an interface.

As Java 1.7 is still not active in every company, we would not like to update to that directly. But we believe that Java 1.6 should be used everywhere, where NatTable comes to play.

As we can not be sure, we like to ask our users what they think about this. So please post to this topic if you need us to still compile against 1.5. Otherwise we will soon update our project settings.

Greez,
Dirk
Re: Update Java compiler settings [message #1005827 is a reply to message #1001902] Mon, 28 January 2013 16:10 Go to previous message
Dirk Fauth is currently offline Dirk Fauth
Messages: 1255
Registered: July 2012
Senior Member
As there was no response here or on the mailing list, I will commit and push the project settings update soon.
Previous Topic:Filtering custom event handler on filter input.
Next Topic:customize DialogErrorHandling class
Goto Forum:
  


Current Time: Fri Aug 22 19:34:54 EDT 2014

Powered by FUDForum. Page generated in 0.01668 seconds